Package com.avaya.clientservices.call.feature

## Enum ServiceObservingType

- java.lang.Object
- - java.lang.Enum<ServiceObservingType>
  - - com.avaya.clientservices.call.feature.ServiceObservingType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceObservingType>`

      public enum ServiceObservingType
      extends java.lang.Enum<ServiceObservingType>

  Different service observing modes a supervisor may choose to use in order to monitor handling of a customer call by an agent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASIC` | * Standard Service Observing - starts in listen-only mode and can be changed to listen-talk mode and back.
    `BY_LOCATION` | VDN Observing by Location - enter the VDN extension and the location number on the Service Observing activation screen.
    `NEXT_CALL` | Service Observing Next Call - starts call-observing associtation for the next call handled by the agent in listen-only mode.
    `NO_TALK` | No-talk Service Observing - starts in listen-only mode and cannot be changed to basic mode (i.e., listen and talk)
    `NONE` | Default state, no service observing type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceObservingType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceObservingType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ServiceObservingType NONE

      Default state, no service observing type.

    - #### BASIC

          public static final ServiceObservingType BASIC

      * Standard Service Observing - starts in listen-only mode and can be changed to listen-talk mode and back.

    - #### NO_TALK

          public static final ServiceObservingType NO_TALK

      No-talk Service Observing - starts in listen-only mode and cannot be changed to basic mode (i.e., listen and talk)

    - #### NEXT_CALL

          public static final ServiceObservingType NEXT_CALL

      Service Observing Next Call - starts call-observing associtation for the next call handled by the agent in listen-only mode. The supervisor is allowed to change the mode to listen and talk mode.

    - #### BY_LOCATION

          public static final ServiceObservingType BY_LOCATION

      VDN Observing by Location - enter the VDN extension and the location number on the Service Observing activation screen. The observer only starts hearing the call to the VDN when the agent in the desired location is connected. This type will require the endpoint to prompt for the desired location to select calls to observe. Starts in listen-only, allows change to listen-talk mode and back

  - ### Method Detail

    - #### values

          public static ServiceObservingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceObservingType c : ServiceObservingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceObservingType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null